/* FONT */
@font-face {
  font-family: "Nanum Square Round Light";
  src: url("font/NanumSquareRoundL.otf");
}
@font-face {
  font-family: "Nanum Square Round Regular";
  src: url("font/NanumSquareRoundR.otf");
}
@font-face {
  font-family: "Nanum Square Round Bold";
  src: url("font/NanumSquareRoundB.otf");
}
@font-face {
  font-family: "Nanum Square Round Extra Bold";
  src: url("font/NanumSquareRoundEB.otf");
}

@font-face {
  font-family: "Moneygraphy";
  src: url("font/Moneygraphy-Pixel.otf");
}

@font-face {
  font-family: "Is Yun";
  src: url("/font/isyun.ttf");
}

@font-face {
  font-family: "Biscuitos";
  src: url("/font/Biscuitos.otf");
}

/* VARIABLES */
:root {
  --mysticviolet: #a193d8;
  --mysticblue: #7ea8e9;
  --border: #3c1053;
  --text: #1c1053;
  --link: #426aff;
  --nav: #afb3e6;
  --pageoutline: #9a9bbb;
  --pagebackground: url(images/bg/q07-bg-paper.png);
  --border-outline: solid 1px rgba(155, 155, 155, 0.5);

  --playlist-bg: #2c081d;
  --playlist-color: #b6daff;
  --playlist-shadow: 1px 1px 4px rgba(28, 72, 213, 0.77);

  --purple: #9a89f6;
  --green: #bfdfae;
  --pink: #ef9bae;
  --red: #e75254;
  --orange: #ef8c63;
  --yellow: #f8d655;
  --skyblue: #9ec7f9;
}

.full-page {
  font-family: "Nanum Square Round Regular", sans-serif;
  padding: 50px 70px 50px 80px;
  text-align: left;
  color: var(--text);
  background: var(--pagebackground);
  background-attachment: scroll;
  background-repeat: repeat-y;
  min-height: 100%;
}

.full-page-blank {
  font-family: "Nanum Square Round Regular", sans-serif;
  padding: 0px 0px 50px 0px;
  text-align: center;
  color: var(--text);
  min-height: 100%;
}

.full-music-page {
  font-family: "Nanum Square Round Regular", sans-serif;
  text-align: center;
  color: var(--text);
  min-height: 100%;
}

.full-page ul {
  margin-top: 0;
  margin-bottom: 3px;
}

.quote {
  width: 100%;
  margin: 0px 0px 0px 5px;
  border-left: solid 2px var(--nav);
  padding: 0px 0px 0px 15px;
}

.quote i {
  background: #e9f7ff;
  font-style: normal;
  text-decoration: none;
}

h1 {
  font-size: 1.7rem;
  margin-top: 5px;
  margin-bottom: 25px;
  padding: 0px 0px 10px 0px;
  text-align: center;
  font-family: "Moneygraphy", sans-serif;
  letter-spacing: 1px;
  border-bottom: 1px solid var(--pageoutline);
}

h2 {
  font-size: 1.4rem;
  margin-top: 5px;
  margin-bottom: 25px;
  padding: 0px 0px 3px 0px;
  text-align: center;
  font-family: "Nanum Square Round Extra Bold", sans-serif;
  border-bottom: 1px solid var(--pageoutline);
}

h1:before,
h1:after,
h2:before,
h2:after {
  content: "⋆";
  margin: 0px 10px;
}

h3,
h4,
h5,
h6 {
  font-family: "Nanum Square Round Bold", sans-serif;
}

h3 {
  font-size: 1.2rem;
  margin-top: 15px;
  margin-bottom: 5px;
  padding: 6px 0px 3px 5px;
  border-bottom: 1px dashed var(--pageoutline);
}

.rose_blue:before {
  content: url(images/icons/w08-flower-rose.png);
  float: left;
  margin-top: 0.5px;
  margin-right: 5px;
}
.rose_violet:before {
  content: url(images/icons/w09-flower-rose.png);
  float: left;
  margin-top: 0.5px;
  margin-right: 5px;
}

h4 {
  font-size: 1.2rem;
  margin: 0px;
  padding: 0px 0px 0px 0px;
}

section {
  margin-bottom: 40px;
}

.full-page a,
.full-page-blank a {
  color: var(--link);
}

.full-page a:hover,
.full-page-blank a:hover {
  opacity: 60%;
}

.page-footer {
  text-align: center;
  margin-top: 70px;
  font-size: 0.8rem;
}

.textblock {
  text-align: justify;
  text-justify: inter-word;
  margin-bottom: 20px;
}

ol {
  margin-top: 2px;
  padding-left: 25px;
  list-style-type: decimal-leading-zero;
}

hr.dashed {
  position: absolute;
  bottom: 0px;
  left: 0;
  width: 100%;
  border: none;
  border-top: 1px dashed white;
  z-index: 10;
  pointer-events: none;
}

#title {
  margin-top: -8px;
}

hr.textdash {
  border-top: 1px dashed var(--pageoutline);
  border-bottom: 0px dashed transparent;
  color: transparent;
}

/* Fancy Divider */
.pagebreak-flex {
  display: flex;
  align-items: center;
  margin: 30px 0px;
}

.pagebreak-line {
  border-top: 1px solid var(--pageoutline);
  flex: 1;
  max-height: 0;
  margin-left: 5px;
  margin-right: 10px;
}

.pagebreak-center {
  color: var(--pageoutline);
  font-size: 1rem;
  margin-top: -2px;
}
/* Fancy Divider END */

.center {
  display: block;
  text-align: center;
  width: 100%;
}

.table-of-contents ul li::marker {
  font-size: 0.9rem;
  margin-right: 15px;
}

.table-of-contents ul li {
  margin-left: 15px;
  padding-left: 10px;
}

#about-the-group,
#group-concept,
#musical-style,
#subunits-solos,
#fav-billlie-videos {
  scroll-margin-top: 100px;
}

.ref ul li {
  margin-left: -15px;
  padding-left: 0px;
}

.ref {
  margin-top: 20px;
}

.ref a,
.ref b {
  font-size: 0.9rem;
}

#firstimg {
  border-radius: 2px;
  border: var(--border-outline);
  max-width: 500px;
  margin-top: 0px;
}

#portrait {
  height: 150px;
  float: left;
  margin: 1px 15px 5px 3px;
  border: var(--border-outline);
  width: 115px;
  background-image: url(/images/billlielove.png);
}

.albumimage img {
  width: 150px;
  border-radius: 3px;
  margin-top: 30px;
  border: var(--border-outline);
}

/*BUTTON*/
.buttonbox {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 20px 0 15px 0;
  background-color: var(--nav);
  width: 100%;
  box-sizing: border-box;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
  z-index: 0;
}

.page-nav {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 8px;
  max-width: 1000px;
  margin: 0 auto;
}

.button {
  height: 25px;
  width: fit-content;
  font-family: "Nanum Square Round Regular", sans-serif;
  font-weight: 700;
  font-size: 0.8rem;
  text-shadow: 0.7px 0.7px 0 white;
  background-color: #eee;
  color: var(--text);
  border-radius: 3px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s;
}

.button-nav {
  top: 0;
  height: 25px;
  width: fit-content;
  font-family: "Nanum Square Round Bold", sans-serif;
  font-weight: 700;
  font-size: 0.8rem;
  color: var(--text);
  text-shadow: 0.7px 0.7px 0 white;
  background-color: #eee;
  border-radius: 3px;
  border: 1px solid rgba(0, 0, 0, 0.1);
}

.button-nav:hover {
  color: var(--mysticblue);
  background: #ffffff;
  cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;
}

.button:hover {
  cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;
  opacity: 100%;
  text-decoration: none;
}

#top-nav {
  float: none;
  align-content: center;
  padding: 3px 10px 2px 10px;
}

#left-nav {
  width: auto;
  padding: 1px 10px 3px 10px;
}

#right-nav {
  width: auto;
  padding: 1px 10px 3px 10px;
}

.backbutton {
  height: 25px;
  margin-top: 0px;
  font-family: "Nanum Square Round Regular", sans-serif;
  font-size: 0.6rem;
  font-weight: 700;
  text-shadow: 0.7px 0.7px 0 white;
  background-color: #eee;
  border-radius: 2px;
  padding-bottom: 2px;
  border: solid 1px rgba(0, 0, 0, 0.1);
}
/* BUTTON END */

/* Main Music Page */
.discography {
  margin: 0px 0px 50px 0px;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  width: 400px;
}

.album-icon {
  font-size: 0.8rem;
  text-align: center;
  padding-bottom: 4px;
  width: 120px;
  padding: 0px 10px 10px 10px;
  margin: 5px 0px 5px 0px;
  border-bottom: 1px var(--pageoutline) solid;
}

.album-icon:nth-last-child(-n + 3) {
  border-bottom: none;
}

.album-icon img {
  width: 100%;
  margin-bottom: 2px;
  border: solid 1px #ccc;
}

.album-icon a:hover {
  opacity: 100%;
}

.album-icon img:hover {
  filter: brightness(110%);
  opacity: 80%;
  moz-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

/* Music Pages */
.entry {
  font-size: 17px;
  position: relative;
  font-family: "Is Yun", sans-serif;
  margin: 50px 35px 60px 55px;
  padding: 20px 20px;
  background: #fffbd6;
  box-shadow:
    0px 1px 4px rgba(16, 12, 46, 0.2),
    4px 8px 1px #fffbd6,
    4px 10px 3px rgba(16, 12, 46, 0.2);
  aspect-ratio: 1 / 1.3;
}

#musicpage {
  position: relative;
  height: fit-content;
  max-width: 500px;
  text-align: center;
  margin: 0px auto;
  padding: 0;
}

.full-music-page #musicpage {
  position: relative;
  height: fit-content;
  max-width: 500px;
  text-align: center;
  margin: 0px auto;
  padding: 0 10px;
}
/* Music Pages END */

/* Homepage */

.full-page-home {
  font-family: "Nanum Square Round Regular", sans-serif;
  padding: 0px 0px 0px 0px;
  text-align: center;
  color: var(--text);
  min-height: 100%;
  background: url(/images/bg/u18-bg-checked.gif)
}

.marquee {
  color:var(--playlist-color);
  background: var(--text);
  padding:7px 0px 3px 0px;
  order:2;
}

.home-container {
  margin: 0px auto;
  display: flex;
  flex-flow: row wrap;
  align-content: center;
  justify-content: space-between;
  max-width: 100%;
  height: 100%;
  padding: 20px;
  gap: 10px;
}

.home {
  position: relative;
  padding: 15px;
  border-radius: 2px;
  background: var(--frame);
  outline: 1px dashed var(--mysticblue);
  outline-offset: -5px; 
}

.blank {
  position: relative;
  padding: 5px;
  border-radius: 2px;
}

.full {
  width: 100%;
}
.half {
  width: 49.2%;
}
.one-quarter {
  width: 24%;
}
.three-quarter {
  width: 74.5%;
}


.home-header {
  order: 1;
}
.house {
  order: 2;
}
.welcome {
  order: 2;
}
.calendar {
  order: 6;
}
.notice {
  order: 5;
}
.misc {
  order: 4;
}
.mystery {
  order: 3;
}
.polaroid {
  order: 3;
}
.cd {
  order: 3;
}
.home-image {
  order: 7;
}
.updates {
  order: 8;
}

.misc {
  align-content: center;
}

.misc #flip {
  margin-left: 30px;
  transform: rotate(0deg);
  width: 110px;
  max-width: 100%;
  filter: drop-shadow(0px 1px 1px rgba(21, 0, 124, 0.44));
}
.misc #static1 {
  position: absolute;
  margin-left: 5px;
  transform: rotate(-20deg);
  width: 110px;
  max-width: 100%;
  filter: drop-shadow(0px 1px 1px rgba(21, 0, 124, 0.44));
}

.misc #static2 {
  position: absolute;
  margin-left: 15px;
  transform: rotate(-10deg);
  width: 110px;
  max-width: 100%;
  filter: drop-shadow(0px 1px 1px rgba(21, 0, 124, 0.44));
}

.home-header {
  max-width: 100%;
  height: auto;
  overflow: clip;
  max-height: 233px;
  outline: 1px dashed var(--mysticblue);
  outline-offset: -5px; 
}

.home-header img {
  width: 100%;
  max-height: auto;
  border-radius: 2px;
}

.welcome {
  display: flex;
  flex-flow: row;
  align-content: center;
  align-items: center;
}

.welcome .textblock {
  margin: 30px 30px;
}

.welcome h1 {
  text-align: left;
  border-bottom: none;
  margin: 0;
}

.welcome h1:before,
.welcome h1:after {
  content: none;
}

.updates {
  font-size: 0.9rem;
  text-align: left;
  height: 250px;
  overflow: auto;
}

.updates h3 {
  margin: 0px 0px 15px 0px;
  text-align: left;
}

.updates ul {
  padding: 0px;
  margin: 0px;
}

/* Chrome, Edge, and Safari */
.updates::-webkit-scrollbar {
  width: 6px;
  height: 6px;
}

.updates::-webkit-scrollbar-track {
  background-color: #e4e4e4;
  -webkit-border-radius: 0px;
  border-radius: 0px;
}

.updates::-webkit-scrollbar-thumb {
  -webkit-border-radius: 3px;
  border-radius: 3px;
  background: #ceceff;
  box-shadow: none;
  border: 1px solid #9698da;
}

.mystery h3 {
  margin: 0px;
}

.mystery a {
  border: none;
  background: none;
}

.mystery-box {
  height: 160px;
  left: -5x;
  transform: rotate(17deg);
}

.mystery img {
  height: 160px;
  filter: drop-shadow(1px 1px 1px rgba(16, 0, 93, 0.33));
}

.polaroid img {
  height: 170px;
  filter: drop-shadow(1px 1px 1px rgba(16, 0, 93, 0.33));
}

.cd img {
  height: 150px;
  filter: drop-shadow(1px 1px 1px rgba(16, 0, 93, 0.33));
}

.home-image {
  margin: 0px;
  padding: 0px;
  align-content: flex-end;
  text-align: left;
  height: 250px;
  background: url(/homepage/flowers.gif);
  background-size: cover;
  border-radius: 2px;
  border: var(--border-outline);
}

.butterfly img {
  float: left;
  margin-top: -7px;
  width: 155px;
  height: auto;
  z-index: 99;
  animation: jerky 0.5s infinite;
  filter: drop-shadow(1px 1px 1px rgba(34, 35, 90, 0.42));
}

@keyframes jerky {
  0% {
    transform: rotate(2deg);
  }

  50% {
    transform: rotate(2deg);
  }

  51% {
    transform: rotate(-2deg);
  }

  100% {
    transform: rotate(-2deg);
  }
}
/* Homepage END */

/* Calendar */
.calendar-container {
  margin-top: 0;
  text-align: center;
  width: 100%;
  height: 100%;
  color: var(--text);
  background: var(--frame);
  padding: 10px;
  border-radius: 2px;
  outline: 1px dashed var(--mysticblue);
  outline-offset: -5px; 
}

.calendar-container h4 {
  text-align: center;
  font-size: 1rem;
  font-family: "Nanum Square Round Bold", sans-serif;
  padding: 11px;
}

.calendar-body {
  padding: 0px;
}

.calendar-body ul {
  margin: 0;
  padding: 0;
  list-style: none;
  flex-wrap: wrap;
  display: flex;
  text-align: center;
}

.calendar-body .calendar-dates {
  width: 100%;
}

.calendar-body li {
  border-top: 1px solid var(--pageoutline);
  border-left: 1px solid var(--pageoutline);
  padding-bottom: 1px;
  width: calc(100% / 7);
  height: 25px;
  line-height: 25px;
  font-size: 0.8rem;
  color: #414141;
  position: relative;
  z-index: 1;
  text-align: center;
  box-sizing: border-box;
}

.calendar-body li:nth-child(7n) {
  border-right: 1px solid var(--pageoutline);
}

.calendar-body li:nth-last-child(-n + 7) {
  border-bottom: 1px solid var(--pageoutline);
}

.calendar-body .calendar-weekdays li {
  border: none;
  padding-top: 2px;
  font-family: "Nanum Square Round Bold", sans-serif;
  font-size: 0.8rem;
  background: var(--nav);
  color: white;
}

.calendar-dates li.inactive {
  color: #aaa;
}

.calendar-dates li.active {
  color: #fff;
  background: var(--mysticblue);
}

/*.calendar-dates li:nth-child(16)::before {
  border: var(--mysticblue) 2px solid;
  border-radius: 0px;
  position: absolute;
  content: "";
  z-index: -1;
  top: -2px;
  left: -2px;
  width: 100%;
  height: 24px;
  border-radius: 50%;
}*/
/* Calendar END */

/* The Modal */
.modal {
  display: none;
  position: fixed;
  z-index: 99;
  padding: 100px 20px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-content: center;
}

/* YOUTUBE PLAYER */
.video-container {
  position: relative;
  width: 100%;
  max-width: 500px;
  padding-bottom: 56.4%;
  height: 0;
  overflow: hidden;
  margin: auto;
}

.video-style {
  border: var(--border-outline);
  min-width: 100%;
  max-width: 500px;
  margin-bottom: -10px;
  border-radius: 3px;
}

.video-container iframe,
.video-container > div {
  position: absolute;
  top: 0 !important;
  left: 0 !important;
  width: 100% !important;
  height: 100% !important;
}

.controls {
  margin: 0px 0px 5px 0px;
  width: 100%;
  display: flex;
  max-width: 500px;
}

table {
  border-collapse: separate;
  border-spacing: 0;
  border-radius: 3px;
  overflow: hidden;
}

/* playlist */
#playlist {
  position: relative;
  width: 100%;
  margin-top: -7px;
  max-width: 500px;
  margin-bottom: 33px;
}

#playlist tr {
  color: var(--playlist-color);
  text-shadow: var(--playlist-shadow);
  font-size: 0.9rem;
  background-color: var(--playlist-bg);
}

#playlist tr:hover {
  background-color: rgb(51, 39, 122);
  color: white;
  cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;
}

#playlist td {
  padding: 9px 10px 8px 10px;
  font-family: "Nanum Square Round Regular", sans-serif;
  font-size: 0.9rem;
  border-bottom: #4d317c 1px solid;
}

#playlist th {
  padding: 6px 10px 5px 10px;
  font-family: "Nanum Square Round Regular", sans-serif;
  font-size: 0.9rem;
  text-align: left;
  border: var(--border-outline);
  background: linear-gradient( #ffffff 20%, #ffffff 40%, #dfe2ec 75%);
  box-shadow: inset 0 0 0 1px #ffffff99;
  text-shadow: none;
  color: var(--text) !important;
  cursor: default;
  text-decoration: none !important;
}

#playlist th :hover {
  color: black !important;
  cursor: default;
  text-decoration: none !important;
}

table#playlist tbody tr :nth-child(1) {
  text-align: center;
}

table#playlist tbody th:nth-child(1) {
  text-align: center;
}

table#playlist tbody tr :nth-child(2) {
  text-align: left;
}

table#playlist tbody th:nth-child(2) {
  text-align: left;
}

.now-playing {
  text-align: left;
  border-radius: 3px;
  color: var(--playlist-color);
  text-shadow: var(--playlist-shadow);
  padding: 5px 3px 3px 5px;
  font-size: 0.7rem;
  background-color: var(--playlist-bg);
  border: var(--border-outline);
  width: 100%;
  height: 35px;
  margin-left: 5px;
}

.video-title {
  margin-top: 1px;
  font-size: 0.8rem;
}

#control-btn {
  width: 40px;
  height: 35px;
  color: #1c1053;
  font-size: 1rem;
  margin: 0px;
  padding: 9px 9px 8px 10px;
  background: linear-gradient( #ffffff 20%, #ffffff 40%, #dfe2ec 75%);
  box-shadow: inset 0 0 0 1px #ffffff99;
  justify-content: space-evenly;
  background-color: #eee;
  border: var(--border-outline);
}

.controls i:first-of-type {
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
}

.controls i:last-of-type {
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
}

#control-btn:hover {
  color: var(--purple);
  text-shadow: 1px 1px 2 white;
  cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;
}

.video-desc {
  background: var(--playlist-bg);
  color: var(--playlist-color);
  text-shadow: var(--playlist-shadow);
  padding: 10px 25px;
  border: var(--border-outline);
  border-radius: 2px;
  font-size: 0.9rem;
  text-align: center;
  align-content: center;
  margin-top: 5px;
  max-width: 500px;
  min-height: 50px;
  max-height: fit-content;
}

/* Tracklist */
#tracklist {
  position: relative;
  width: 100%;
  margin-top: -7px;
  max-width: 500px;
  margin-bottom: 33px;
  border: var(--border-outline);
}

#tracklist tr {
  font-size: 0.9rem;
}

#tracklist td {
  padding: 7px 10px 7px 10px;
  font-family: "Nanum Square Round Regular", sans-serif;
  font-size: 0.9rem;
  border-top: var(--border-outline);
}

#tracklist th {
  padding: 7px 10px 5px 10px;
  font-family: "Nanum Square Round Bold", sans-serif;
  font-size: 0.9rem;
  text-align: left;
  background-color: #eee;
  color: var(--text) !important;
  text-shadow: 0.7px 0.7px 0 white;
  cursor: url("/cursors/Cosmica-Angel-Lilac/default.cur"), default;
  text-decoration: none !important;
}

table#tracklist tbody tr :nth-child(1) {
  text-align: center;
  border-right: var(--border-outline);
}

table#tracklist tbody th:nth-child(1) {
  text-align: center;
}

table#tracklist tbody tr :nth-child(2) {
  text-align: left;
}

table#tracklist tbody th:nth-child(2) {
  text-align: left;
}

/* Profile Page */
.membergrid {
  width: auto;
  height: 100%;
  margin-top: 5px;
  margin-bottom: 50px;
  display: flex;
  text-align: center;
  justify-content: center;
  gap: 5px;
}

#member {
  width: 70px;
  height: 70px;
  font-size: 0.8rem;
  border-radius: 4px;
}

#member img {
  border-radius: 4px;
}

#member img:hover {
  width: 70px;
  height: 70px;
  border-radius: 4px;
  opacity: 0%;
  filter: saturate(30%) brightness(110%);
  moz-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

.ms {
  background-color: #9a89f6;
  background-image: url(/images/members/1-moonsua-icon_2bit.png);
  background-size: 70px;
  background-repeat: no-repeat;
}
.sh {
  background-color: #bfdfae;
  background-image: url(/images/members/2-suhyeon-icon_2bit.png);
  background-size: 70px;
  background-repeat: no-repeat;
}
.hm {
  background-color: #ef9bae;
  background-image: url(/images/members/3-haram-icon_2bit.png);
  background-repeat: no-repeat;
}
.tk {
  background-color: #e75254;
  background-image: url(/images/members/4-tsuki-icon_2bit.png);
  background-repeat: no-repeat;
}
.sn {
  background-color: #ef8c63;
  background-image: url(/images/members/5-sheon-icon_2bit.png);
  background-repeat: no-repeat;
}
.sy {
  background-color: #f8d655;
  background-image: url(/images/members/6-siyoon-icon_2bit.png);
  background-repeat: no-repeat;
}
.hn {
  background-color: #9ec7f9;
  background-image: url(/images/members/7-haruna-icon_2bit.png);
  background-repeat: no-repeat;
}

/* ===== Scrollbar CSS ===== */
/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

*::-webkit-scrollbar-track {
  background-color: #e4e4e4;
  -webkit-border-radius: 0px;
  border-radius: 0px;
}

*::-webkit-scrollbar-thumb {
  -webkit-border-radius: 2px;
  border-radius: 2px;
  background: linear-gradient(-90deg, #b2bcdc, #eee);
  box-shadow: inset 0 0 0 1px #ffffff99;
  border: 1px solid #9698da;
}

*::-webkit-scrollbar-thumb:hover {
  -webkit-border-radius: 3px;
  border-radius: 3px;
  background: #ceceff;
  box-shadow: none;
  border: 1px solid #9698da;
}

@media (max-width: 1024px) {
  /* Homepage */
  .home-container {
    flex-flow: row wrap;
    width: 100%;
    gap: 8px;
  }

  .home {
    max-width: 100%;
    padding: 10px;
  }

  .full {
    width: 100%;
  }
  .half {
    width: 49%;
  }
  .one-quarter {
    width: 49%;
  }
  .three-quarter {
    width: 49%;
  }

  .grass-divider {
    order: 3;
    display: none;
  }

  .home-header {
    order: 1;
  }
  .welcome {
    order: 2;
  }
  .calendar {
    order: 4;
  }
  .notice {
    order: 5;
  }
  .misc {
    order: 3;
  }
  .mystery {
    display: none;
  }
  .home-image {
    order: 6;
  }
  .updates {
    order: 7;
  }

  .home-header {
    max-width: 100%;
    height: auto;
  }

  .welcome {
    padding: 10px;
  }

  .welcome .textblock {
    margin: 10px;
  }

  .home-image {
    margin: 0px;
    padding: 0px;
    align-content: center;
    overflow: auto;
    max-height: 500px;
  }

  .home-image img {
    padding: 0px;
    margin: 0px;
    width: auto;
  }

  .butterfly {
    position: absolute;
    top: -35px;
    right: 0;
  }

  .butterfly img {
    height: auto;
    width: 90px;
    margin: 0px -10px 0px 0px;
  }

  /*.calendar-dates li:nth-child(16)::before {
    border: var(--link) 2px solid;
    border-radius: 0px;
    position: absolute;
    content: "";
    z-index: -1;
    top: -2px;
    left: -2px;
    width: 100%;
    height: 24px;
    border-radius: 50%;
  }*/
  /* Homepage END */
}

@media (max-width: 600px) {
  #top-nav {
    float: none;
    align-content: center;
    padding: 4px 10px 2px 10px;
  }

  #left-nav {
    width: auto;
    padding: 4px 10px 3px 10px;
  }

  #right-nav {
    width: auto;
    padding: 4px 10px 3px 10px;
  }

  .full {
    width: 100%;
  }
  .half {
    width: 100%;
  }
  .one-quarter {
    width: 100%;
  }
  .three-quarter {
    width: 100%;
  }

  .home-header {
    order: 1;
  }
  .welcome {
    order: 2;
  }
  .calendar {
    order: 5;
  }
  .notice {
    order: 4;
  }
  .misc {
    order: 3;
    width: 48%;
  }
  .mystery {
    width: 49%;
    order: 3;
    display: block;
  }

  .mystery img {
    width: 99%;
    height: auto;
  }

  .home-image {
    order: 6;
  }
  .updates {
    order: 7;
  }

  .controls {
    margin: 0px 0px 5px 0px;
    width: 100%;
    display: flex;
    max-width: 425px;
  }

  #playlist tr {
    color: var(--playlist-color);
    text-shadow: var(--playlist-shadow);
    background-color: var(--playlist-bg);
    cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;
  }

  #playlist tr:hover {
    background-color: rgb(51, 39, 122);
    color: white;
    cursor: url("/cursors/Cosmica-Angel-Lilac/link-select.cur"), pointer;

    padding: 7px 10px 7px 10px;
    font-family: "Nanum Square Round Regular", sans-serif;
    height: 35px;
    font-size: 0.9rem;
  }

  #playlist tr:last-of-type td {
    border-bottom: none;
  }

  .now-playing {
    overflow: clip;
    max-width: 300px;
    width: 100%;
  }

  * {
    font-size: 14px;
  }


  .full-page {
    background: none;
    padding: 30px 20px 30px 20px;
    min-height: fit-content;
    margin-bottom: 30px;
  }

  .full-page-blank {
    padding: 0px 0px 30px 0px;
    min-height: fit-content;
    margin-bottom: 30px;
  }
  
  .full-page-home {
    padding: 30px 0px 30px 0px;
    min-height: fit-content;
  }

  .textblock {
    text-align: left;
  }

  h1 {
    font-size: 1.2rem;
  }

  #firstimg {
    width: 100%;
  }

  .membergrid {
    width: 100%;
    height: auto;
    margin-bottom: 40px;
    display: flex;
    flex-flow: row wrap;
    gap: 20px 4px;
    justify-content: center;
  }

  .member {
    max-width: 350px;
    height: fit-content;
  }

  #member img {
    max-width: 70px;
  }
  .discography {
    width: 300px;
  }
}